Uploaded image for project: 'Oozie'
  1. Oozie
  2. OOZIE-2969

Drop support for Java 1.7

    XMLWordPrintableJSON

    Details

    • Type: New Feature
    • Status: Closed
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 4.3.0
    • Fix Version/s: 5.0.0b1
    • Component/s: core
    • Labels:
      None

      Description

      I see the last jira to drop 1.6 support only resolved end of 2016 with release of 4.3 but wondering if 5.0 is a good time to drop 1.7 support? 5.0 will support Hadoop 3 and minimum required version to support it is 1.8. Happy to pick it up if there's interest.

        Attachments

        1. OOZIE-2969-0.patch
          4 kB
          Artem Ervits
        2. OOZIE-2969-0.patch
          4 kB
          Artem Ervits
        3. OOZIE-2969-1.patch
          4 kB
          Artem Ervits
        4. OOZIE-2969-2.patch
          4 kB
          Artem Ervits
        5. OOZIE-2969-3.patch
          4 kB
          Gézapeti
        6. screenshot-1.png
          49 kB
          Gézapeti

          Issue Links

          There are no Sub-Tasks for this issue.

            Activity

              People

              • Assignee:
                dbist13 Artem Ervits
                Reporter:
                dbist13 Artem Ervits
              • Votes:
                1 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: